View Issue Details

IDProjectCategoryView StatusLast Update
0033349FPCPackagespublic2018-03-18 11:15
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033349: fpreport: Data header and footer band wrong positions in preview
DescriptionThis is related to the output of fpreport:

The data header band appears after the first group header instead of before it.

The data footer band appears before the last group footer instead of after it.

The attached pdf (fpreport output) shows that behavior.
TagsNo tags attached.
Fixed in Revision38559
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0033412 closedMichael Van Canneyt fpreport: Band positioning bug 

Activities

Stephano

2018-03-07 06:02

developer  

DataHeaderFooterPositionBug.pdf (162,125 bytes)

Stephano

2018-03-09 07:07

developer  

DataHeaderFooterPositionBug.json (23,841 bytes)

Stephano

2018-03-09 07:17

developer   ~0107023

Attached a report file that generates the buggy preview/output

Michael Van Canneyt

2018-03-18 10:12

administrator   ~0107229

Fixed, thanks for reporting!

Issue History

Date Modified Username Field Change
2018-03-07 06:02 Stephano New Issue
2018-03-07 06:02 Stephano File Added: DataHeaderFooterPositionBug.pdf
2018-03-07 10:50 Stephano Assigned To => Michael Van Canneyt
2018-03-07 10:50 Stephano Status new => assigned
2018-03-09 07:07 Stephano File Added: DataHeaderFooterPositionBug.json
2018-03-09 07:17 Stephano Note Added: 0107023
2018-03-09 07:18 Stephano Summary fpreport: Data header and footer band wrong positions => fpreport: Data header and footer band wrong positions in preview
2018-03-09 07:18 Stephano Description Updated View Revisions
2018-03-11 14:01 Stephano Relationship added related to 0033412
2018-03-18 10:12 Michael Van Canneyt Fixed in Revision => 38559
2018-03-18 10:12 Michael Van Canneyt Note Added: 0107229
2018-03-18 10:12 Michael Van Canneyt Status assigned => resolved
2018-03-18 10:12 Michael Van Canneyt Fixed in Version => 3.1.1
2018-03-18 10:12 Michael Van Canneyt Resolution open => fixed
2018-03-18 10:12 Michael Van Canneyt Target Version => 3.2.0
2018-03-18 11:15 Stephano Status resolved => closed